Subject: Re: [devuan-dev] bug#490: gpsd: Current version of gpsd does not install /etc/init.d/gpsd and fails to start

From: [email-masked]
Date: Wed, 15 Jul 2020 18:14:10 +0300

Hi Mark,

I have done the initial fork effort, also fixed some things that were, IMHO, problems in the original package. From what I see, there is lots more work to do for this package, but at least I think that it is OK for a review.

I could test it on aarch64 and amd64, but only via debuild/dpkg-buildpackage. Setting up a proper build env with chroots, cross, etc is not a thing that I know how to do...

I saw in the gpsd package change log that sysvinit stuff was removed because it was causing problems with systemd; what concerns me is that in case these reasons are valid (and most probably they are) then the same is going to happen with many other packages.

My repo is https://git.devuan.org/bbonev/gpsd I will update here after

it is ready for review.

With best regards,

b.